Endpoint Examples

/taxonomies

Search taxonomies using either whole keywords (relevance search) or partial keywords (autocomplete), or list taxonomy items.

GET /taxonomies

Get a list of current available taxonomy facets.

Code Example

curl --request GET \
  --url https://api.lightcast.io/global-postings/taxonomies \
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": [
    "company",
    "currency",
    "skills",
    "title",
    "laa_country",
    "laa_admin_area_1",
    "laa_admin_area_2",
    "laa_metro",
    "naics2",
    "naics3",
    "naics4",
    "naics5",
    "naics6"
  ]
}

GET /taxonomies/\{facet}

Search taxonomies using either whole keywords (relevance search) or partial keywords (autocomplete).

URL Parameters

NameDescription
facet
enum

Which taxonomy to search for ID/name suggestions (Cities will always have a null ID, and cannot be listed without a q query parameter).

Example: lot_occupation

Must be one of: company, skills, title, currency, laa_country, laa_admin_area_1, laa_admin_area_2, laa_metro, isco_1, isco_2, isco_3, isco_4, nace_1, nace_2, lot_specialized_occupation, lot_occupation, lot_occupation_group, lot_career_area, skill_categories, skill_subcategories, remote_type, isced, anz_sco_1, anz_sco_2, anz_sco_3, anz_sco_4, anz_sco_5, anz_sic_1, anz_sic_2, anz_sic_3, anz_sic_4, employment_type, contract_type, edulevels, city

Query Parameters

NameDescription
q
string
A query string of whole or partial keywords to search for. Only when autocomplete is true is q assumed to be a prefix. If q is omitted, the response will list results sorted by id of length limit.
This parameter is optional.
Example: Analysts
autocomplete
boolean
Autocomplete search terms. Only used in combination with q.
  • true - Performs fast prefix-enabled search using only primary and, if available, alternate names (alternate names currently available for skills).

  • false - Performs more extensive search using both name(s) and, if available, description (description currently only available for NOC search).

This parameter is optional.

Default: true

limit
integer
How many search results to return.
This parameter is optional.
Minimum: 1
Maximum: 10000
Default: 10

Code Examples

url --request GET \
  --url 'https://api.lightcast.io/global-postings/taxonomies/lot_occupation?q=Analysts' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": [
    {
      "id": "e15b",
      "name": "Analysts and Data Scientists",
      "score": 8.110737
    }
  ]
}
// Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
// Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
// The facet you requested wasn't found.

{
  "errors": [
    {
      "status": 404,
      "title": "URL not found",
      "detail": "Unrecognized facet 'foo'"
    }
  ]
}

POST /taxonomies/\{facet}/lookup

Look up taxonomy items by ID.

URL Parameters

NameDescription
facet
enum

Which taxonomy to look up IDs in.

Example: lot_occupation

Must be one of: company, skills, title, currency, laa_country, laa_admin_area_1, laa_admin_area_2, laa_metro, isco_1, isco_2, isco_3, isco_4, nace_1, nace_2, lot_specialized_occupation, lot_occupation, lot_occupation_group, lot_career_area, skill_categories, skill_subcategories, remote_type, isced, anz_sco_1, anz_sco_2, anz_sco_3, anz_sco_4, anz_sco_5, anz_sic_1, anz_sic_2, anz_sic_3, anz_sic_4, employment_type, contract_type, edulevels, city

Request Body

{
  "ids": [
    "e15b"
  ]
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/global-postings/taxonomies/lot_occupation/lookup \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "ids": [ "e15b" ] }'

Response Examples

{
  "data": [
    {
      "id": "e15b",
      "name": "Analysts and Data Scientists"
    }
  ]
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
{
  "errors": [
    {
      "status": 404,
      "title": "URL not found",
      "detail": "Unrecognized facet 'foo'"
    }
  ]
}